Better understand. Thanks slb for these explanation.
I Cant use scaling in this case as the points are the result of crossing lines, so at any scale the resulting point of two lines crossing can be very close to any other point in the model.
This gave me an idea for a very bad workaround. Do not like it, but it works. this way SU does not seem to try sharing same vertex...
pt1 = Geom::Point3d.new(0.98787,0.926013,0)
pt2 = Geom::Point3d.new(0.988135,0.925025,0)
pt3 = Geom::Point3d.new(0.977696,0.924673,0)
grp1 = Sketchup.active_model.entities.add_group
grp1.entities.add_line(pt3,pt2)
grp2 = Sketchup.active_model.entities.add_group
grp2.entities.add_line(pt2,pt1)
grp1.explode
grp2.explode
Thks again
Pascal